id: wordpress-wp-mail-logging

info:
  name: WP Mail Logging Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/wp-mail-logging/
  metadata:
    plugin_namespace: wp-mail-logging
    wpscan: https://wpscan.com/plugin/wp-mail-logging
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/wp-mail-logging/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/wp-mail-logging.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022054562ffd61f711c070ed78d76f3ec72038f22bfa9b0654c7bc78880dac3aeaec02204b84e8bba134537d0ca8617b9108c21633ac7947165ce3cb9898d4cc74e191be:922c64590222798bb761d5b6d8e72950